MSTVPD(1)

NAME
mstvpd - Mellanox VPD read tool

SYNOPSIS

    mstvpd [-m|-n] [-t ##] <file> [-- keyword ...]

OPTIONS

-h      :Print this help.

-v      :Print tool version.

-m      :Dump raw VPD data to stdout.

-n      :Do not validate check sum.

-r      :Do not check and display the VPD_W tag in the vpd data.

-t ##   :Time out after ## seconds. (Default is 30.)

File:

The PCI id number of the HCA (for example, "2:00.0"),

the device name (such as "mlx4_0")

the absolute path to the device ("/sys/class/infiniband/mlx4_0/device")

or '-' to read VPD data from the standard input.

Keyword(s):

Only display the requested information. (ID, PN, EC, SN, etc...)